Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQStrIList Class Reference

The TQStrIList class provides a doubly-linked list of char* with case-insensitive comparison. More...

`#include <ntqstrlist.h>`

Inherits TQStrList.

List of all member functions.

## Public Members

- TQStrIList ( bool deepCopies = TRUE )
- ~TQStrIList ()

## Detailed Description

The TQStrIList class provides a doubly-linked list of char* with case-insensitive comparison.

This class is a TQPtrList<char> instance (a list of char*).

TQStrIList is identical to TQStrList except that the virtual compareItems() function is reimplemented to compare strings case-insensitively. The inSort() function inserts strings in a sorted order. In general it is fastest to insert the strings as they come and sort() at the end; inSort() is useful when you just have to add a few extra strings to an already sorted list.

The TQStrListIterator class works for TQStrIList.

See also TQStringList, Collection Classes, and Non-GUI Classes.

## Member Function Documentation

### TQStrIList::TQStrIList ( bool deepCopies = TRUE )

Constructs a list of strings. Will make deep copies of all inserted strings if deepCopies is TRUE, or use shallow copies if deepCopies is FALSE.

### TQStrIList::~TQStrIList ()

Destroys the list. All strings are removed.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.